#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 5

Summary:        This lib manages sieve support
Name:           libksieve
Epoch:          2
Version: 17.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

ExcludeArch:    armv5tl

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5WebEngine)

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5DocTools)

Recommends:     %{name}-handbook

Conflicts:      kmail < 2:16.04.0
# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
This lib manages sieve support.

%files -f %name.lang
%_kf5_sysconfdir/xdg/ksieve_script.knsrc
%_kf5_sysconfdir/xdg/libksieve.categories
%_kf5_sysconfdir/xdg/libksieve.renamecategories
%_kf5_datadir/sieve

#--------------------------------------------------------------------

%package -n     kio5-sieve
Summary:        KDE sieve module
Group:          System/Libraries
Requires:       akonadi-contacts
Requires:       %{name} = %epoch:%version

%description -n kio5-sieve
KDE sieve module.

%files -n kio5-sieve
%_kf5_plugindir/kio/sieve.so
%_kf5_services/sieve*

#--------------------------------------------------------------------

%define kf5managesieve_major 5
%define libkf5managesieve %mklibname kf5managesieve %{kf5managesieve_major}

%package -n %libkf5managesieve
Summary:      This lib manages sieve support
Group:        System/Libraries
Requires:     %name = %epoch:%version

Obsoletes:    %{_lib}kf5managesieve_5 < 2:17.12.0
Provides:     %{_lib}kf5managesieve_5 = %epoch:%version-%release

%description -n %libkf5managesieve
This lib manages sieve support.

%files -n %libkf5managesieve
%_kf5_libdir/libKF5KManageSieve.so.%{kf5managesieve_major}*


#--------------------------------------------------------------------

%define kf5ksieve_major 5
%define libkf5ksieve %mklibname kf5ksieve %{kf5ksieve_major}

%package -n %libkf5ksieve
Summary:      This lib manages sieve support
Group:        System/Libraries
Requires:     %name = %epoch:%version

Obsoletes:    %{_lib}kf5ksieve_5 < 2:17.12.0
Provides:     %{_lib}kf5ksieve_5 = %epoch:%version-%release

%description -n %libkf5ksieve
This lib manages sieve support.

%files -n %libkf5ksieve
%_kf5_libdir/libKF5KSieve.so.%{kf5ksieve_major}*

#--------------------------------------------------------------------

%define kf5ksieveui_major 5
%define libkf5ksieveui %mklibname kf5ksieveui %{kf5ksieveui_major}

%package -n %libkf5ksieveui
Summary:      This lib manages sieve support
Group:        System/Libraries
Requires:     %name = %epoch:%version

Obsoletes:    %{_lib}kf5ksieveui_5 < 2:17.12.0
Provides:     %{_lib}kf5ksieveui_5 = %epoch:%version-%release

%description -n %libkf5ksieveui
This lib manages sieve support.

%files -n %libkf5ksieveui
%_kf5_libdir/libKF5KSieveUi.so.%{kf5ksieveui_major}*

#--------------------------------------------------------------------

%define libksieve_devel %mklibname ksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5managesieve = %epoch:%version-%release
Requires:       %libkf5ksieve = %epoch:%version-%release
Requires:       %libkf5ksieveui = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_kf5_includedir/KManageSieve
%_kf5_includedir/kmanagesieve
%_kf5_includedir/KSieveUi
%_kf5_includedir/ksieveui
%_kf5_includedir/libksieve_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5LibKSieve
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%package        handbook
Summary:        Sieve Handbook
Group:          Documentation
BuildArch:      noarch

# can be removed for mga8
Conflicts:      kdepimlibs-handbooks < 16.04.3-2

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1

%description    handbook
This package provides Sieve handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/sieve/

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name



%changelog
* Tue Mar 06 2018 neoclust <neoclust> 2:17.12.2-5.mga6
  (not released yet)
+ Revision: 1206891
- Obsolete old libs instead of conflicting
- Sync with cauldron changes from 17.12.2
- Add epoch to fix conflict ( thanks to david_david)
- Fix package renaming
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090155
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076897
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073852
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067409
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061472
- New version 16.08.2

* Mon Sep 19 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054505
- Rebuild for ARM

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051752
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-5.mga6
+ Revision: 1049811
- Exclude armv5tl as it needs QtWebEngine

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-4.mga6
+ Revision: 1049807
- Rebuild for armv7

* Fri Aug 26 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1049145
- kio5-sieve requires akonadi-contacts

* Thu Aug 25 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1048946
- fix dependencies adding missing epoch on kio5-sieve subpackage

* Tue Aug 23 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1047987
- add subpackage kio5-sieve no more provided by kdepimlibs
- add subpackage libksieve-handbook and conflicts kdepimlibs-handbooks
+ neoclust <neoclust>
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040138
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012628
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1006092
- Add conflicts to ease upgrade
- New version 16.04.0

* Thu Mar 31 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997032
- imported package libksieve

